----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Binary_reg is
    Port ( Clk : 		in  STD_LOGIC;
           Bin : 		in  STD_LOGIC_VECTOR (7 downto 0);
			  Modout:  out  STD_LOGIC;
           Strobe : out  STD_LOGIC);
end Binary_reg;

architecture Behavioral of Binary_reg is
	signal Counter: STD_LOGIC_VECTOR (3 downto 0) := "0000";
	alias  Strobe_puls is Counter(3);
	signal Binreg:  STD_LOGIC_VECTOR (7 downto 0);
begin

	Strobe <= Strobe_puls;
	Modout <= Binreg(7);
	-----------------------------------------------------------
	-- This process will generate the Strobe puls after
	-- the 8 clock pulses which used for the conversion
	-----------------------------------------------------------
	process( Clk)
	begin
		if rising_edge( Clk) then
      -- if Strobe_puls='0' then -- Will this give the same result???
			if Counter<8 then  


";
			end if;	
		end if;
	end process;
	
	-----------------------------------------------------------
	-- This process controls the Binreg and hence it loads the
	-- Binreg with the next binary value and shift the same
	-- value leftmost in order to convert
	-----------------------------------------------------------
	process( Clk)
	begin
		if Rising_edge( Clk) then
			if Strobe_puls='1' then




		end if;
	end process;
	
end Behavioral;

