----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity BcdDigit is
    Port ( Clk :    in  STD_LOGIC;
           Init :   in  STD_LOGIC;
			  DoneIn:  in  STD_LOGIC;
           ModIn :  in  STD_LOGIC;
           ModOut : out  STD_LOGIC;
           Q :      out  STD_LOGIC_VECTOR (3 downto 0));
end BcdDigit;

architecture Behavioral of BcdDigit is
   signal Bcd: STD_LOGIC_VECTOR (3 downto 0);
begin
   process( Clk,Init)
	begin
	   if rising_edge( Clk) then
		   if Init='1' then
			   Bcd <= "0000";
			elsif DoneIn='0' then
				case Bcd is
					when "0000"  => Bcd <= "000" & ModIn;  -- 0*2 + ModIn









					when others => Bcd <= "0000";						
				end case;
			end if;
		end if;	
	end process;
	
	ModOut <= '1' when Bcd>=5 else '0';
	Q      <= Bcd;

end Behavioral;

